svn commit: samba r14873 - in branches/SAMBA_4_0/source: script/tests scripting/swig scripting/swig/torture

tpot at samba.org tpot at samba.org
Mon Apr 3 00:25:00 GMT 2006


Author: tpot
Date: 2006-04-03 00:24:59 +0000 (Mon, 03 Apr 2006)
New Revision: 14873

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=14873

Log:
Add skeleton swig ldb interface.

Added:
   branches/SAMBA_4_0/source/scripting/swig/Ldb.py
   branches/SAMBA_4_0/source/scripting/swig/torture/torture_ldb.py
Modified:
   branches/SAMBA_4_0/source/script/tests/test_swig.sh
   branches/SAMBA_4_0/source/scripting/swig/


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_swig.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_swig.sh	2006-04-03 00:23:22 UTC (rev 14872)
+++ branches/SAMBA_4_0/source/script/tests/test_swig.sh	2006-04-03 00:24:59 UTC (rev 14873)
@@ -15,5 +15,6 @@
 export PYTHONPATH=scripting/swig:$PYTHONPATH
 
 scripting/swig/torture/torture_tdb.py || failed=`expr $failed + 1`
+scripting/swig/torture/torture_ldb.py || failed=`expr $failed + 1`
 
 testok $0 $failed


Property changes on: branches/SAMBA_4_0/source/scripting/swig
___________________________________________________________________
Name: svn:ignore
   - *.pyc
_*.so
*_wrap.c
dcerpc.py
tdb.py

   + *.pyc
_*.so
*_wrap.c
dcerpc.py
tdb.py
ldb.py


Added: branches/SAMBA_4_0/source/scripting/swig/Ldb.py
===================================================================
--- branches/SAMBA_4_0/source/scripting/swig/Ldb.py	2006-04-03 00:23:22 UTC (rev 14872)
+++ branches/SAMBA_4_0/source/scripting/swig/Ldb.py	2006-04-03 00:24:59 UTC (rev 14873)
@@ -0,0 +1,26 @@
+"""Provide a more Pythonic and object-oriented interface to ldb."""
+
+#
+# Swig interface to Samba
+#
+# Copyright (C) Tim Potter 2006
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#   
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#   
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+
+import ldb
+
+class Ldb:
+    pass

Added: branches/SAMBA_4_0/source/scripting/swig/torture/torture_ldb.py
===================================================================
--- branches/SAMBA_4_0/source/scripting/swig/torture/torture_ldb.py	2006-04-03 00:23:22 UTC (rev 14872)
+++ branches/SAMBA_4_0/source/scripting/swig/torture/torture_ldb.py	2006-04-03 00:24:59 UTC (rev 14873)
@@ -0,0 +1,8 @@
+#!/usr/bin/python
+
+import Ldb
+
+def fail(msg):
+    print 'FAILED:', msg
+    sys.exit(1)
+


Property changes on: branches/SAMBA_4_0/source/scripting/swig/torture/torture_ldb.py
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list